過去ログ表示


過去ログ 12 を表示

トピック内全 6 記事中の 1 〜 6 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0]

0.9.7用のxpiは?
(#1833) このトピック中1番目の投稿

FreeBSD4.5でMozilla0.9.7を使用しています。日本語パックを当てたいのですがhttp://jlpmoz.sourceforge.net/
を拝見すると"ウンロード"xpiをクリックするように記載されているのですが
それは何処にあるのですか?

"リース情報"には0.9.7版用も見当たらないみたいですし…

初心的質問で申し訳有りませんがご教示ください。



Re[1]: 0.9.7用のxpiは?
(#1834) このトピック中2番目の投稿

http://jlpmoz.sourceforge.net/old.html

上のページの記述によれば、0.9.7用の日本語パックは「Mozilla 0.9.7 に試作した JLP for 0.9.7 を適用すると Japanese で起動したとき bug 114134, bug-jp 1733 のため不正終了してしまいます。そのため 0.9.7 用の JLP はリリースを見合わせることにしました」とのことで、非公開となっております。

ですので、日本語環境でMozillaを使用されたい場合は、0.9.7を使用しなければならない特段の事情がない限りは、0.9.8以降、できれば1.0をご使用になる事をお薦めいたします。

Re[1]: 0.9.7用のxpiは?
(#1835) このトピック中3番目の投稿

0.9.7 では、たしか Mozilla 自体のローカライズ(地域・言語の切り替え)に関するバグがありまして、残念ながら日本語化出来なかったと思います。ですので、JLP でも提供されていません。結論としては、Mozilla を新しいものにしてから、日本語化するのが良いです。(0.9.7 はどれかのディストリビューションに含まれているのでしょうか?)

リリースは 1.0.x と 1.x のふたつの体系があるのですが、
Mozilla の開発体系には、 「幹」を意味する Trunk (トランク)と「枝」を意味する Branch (ブランチ)があります。開発の流れ全体であり「木」を意味するTree (ツリー)の中で、Trunk は開発の本流となるもの、 Branch は特定の地点から枝分かれして発展したものと位置付けられます。 Trunk に於ける焦点は、「新しい機能の追加」、「変化」にあります。Branch に於ける焦点は、分岐点を基準とした「さらなる安定性の追求」、「緩やかな改良」にあります。

現在最も大きな Branch であり API が固定された 1.0.x と比較した場合、1.x は各種アドオンなどとの互換性が失われる場合が多いためご注意ください。

Mozilla 1.0
http://jt.mozilla.gr.jp/releases/stable.html
mozilla.org から安定化リリース( 1.0.x )を直接ダウンロード可能です。

リリース
http://jt.mozilla.gr.jp/releases/
mozilla.org から通常のリリース( 1.x )を直接ダウンロード可能です。

ファイル名とディレクトリ構成が分かりそうならば、ミラーを使ってみてください。
こっちの方が若干ダウンロードが速いと思います
ftp://ftp.t.ring.gr.jp/pub/net/www/mozilla/mozilla/releases/
上記は、近場のミラーに誘導するものですが、下記は、ミラーごとにディレクトリを指定できます(こっちのほうが簡単かも)。
http://jt.mozilla.gr.jp/mirrors_jp.html

BSD だと、依存性の関係でアップグレードした場合に分かりづらい・うまくいかない点があるかも知れませんが、問題があった場合は、また聞いてみてください。

と、書いて気付いたのですが、現在、1.x では日本語パックは提供されていませんので、1.0 を使ってみてください。。一応、上記は参考までに。

以上、長くなりましたが。

> FreeBSD4.5でMozilla0.9.7を使用しています。日本語パックを当てたいのですがhttp://jlpmoz.sourceforge.net/
> を拝見すると"ウンロード"xpiをクリックするように記載されているのですが
> それは何処にあるのですか?
>
> "リース情報"には0.9.7版用も見当たらないみたいですし…
>
> 初心的質問で申し訳有りませんがご教示ください。
>
>






Re[2]: 0.9.7用のxpiは?
(#1841) このトピック中4番目の投稿

ご回答有難うこざいます。

mozilla-i386-unknown-freebsd4.5_1.0.tar.gzをダウンロードして
$ tar zxvf mozilla-i386-unknown-freebsd4.5_1.0.tar.gz
$ cd mozilla
$ ./mozilla
/usr/libexec/ld-elf.so.1: Shared object "libintl.so.2" not found

となりましたので

mozilla-i386-unknown-freebsd4.5-0.9.9.tar.gzをダウンロードして
$ tar zxvf mozilla-i386-unknown-freebsd4.5.0.9.9.tar.gz
$ cd mozilla
$ ./mozilla

としてMozillaを起動出来ました。
この後、0.9.9用のmozilla0.9.9-langjajp.xpiとmozilla0.9.9-regjp.xpi
は何処にあるのでしょうか?

それとMozilla0.9.7はアンインストールした方がいいのでしょうか?
分からない事ばかりでスミマセン。

Re[3]: 0.9.7用のxpiは?
(#1843) このトピック中5番目の投稿

megumiさん、こんばんは。

> この後、0.9.9用のmozilla0.9.9-langjajp.xpiとmozilla0.9.9-regjp.xpi
> は何処にあるのでしょうか?

私の上の発言にも貼り付けました、

http://jlpmoz.sourceforge.net/old.html

に、mozilla0.9.9-langjajp.xpiとmozilla0.9.9-regjp.xpiが共に用意されております。上のリンクよりたどってダウンロード、あるいはインストールを行ってください。

> それとMozilla0.9.7はアンインストールした方がいいのでしょうか?
> 分からない事ばかりでスミマセン。

私は基本的に上書きインストールを行っておりましたが、確か0.9.9以降でプロファイル等の扱いが変わったためなのか上書きインストールで不具合が出たため、一旦Mozillaおよびプロファイルをすべて削除して、一から入れ直した覚えがあります。

ただ、私はWindows版を使用しており、FreeBSD版で動作がどのようになるかはわかりません。そのままお使いになっても問題が出ないようならば、アンインストールしなくてもよいのかもしれませんが、やはり大幅なバージョンアップを行う場合は旧バージョンはアンインストールした方が安心である気はいたします。このあたりにつきましては、実際にFreeBSDをお使いの方にお任せしたいと思います。

libintl.so.2
(#1844) このトピック中6番目の投稿

> mozilla-i386-unknown-freebsd4.5_1.0.tar.gzをダウンロードして
> $ tar zxvf mozilla-i386-unknown-freebsd4.5_1.0.tar.gz
> $ cd mozilla
> $ ./mozilla
> /usr/libexec/ld-elf.so.1: Shared object "libintl.so.2" not found
>
> となりましたので

過去ログのこちらが参考になるでしょうか。

http://www.mozilla.gr.jp/tools/cbbs/cbbs.cgi?mode=al2&namber=1425&no=0

どなたか、BSD 周り詳しい方の助言を頂けるとありがたいです。


> それとMozilla0.9.7はアンインストールした方がいいのでしょうか?
> 分からない事ばかりでスミマセン。

複数のバージョンを並存させておくと、間違えて古いほうを起動した際に、プロファイルを壊してしまうことがあるので、アンインストールしておいたほうが良いと思います。


このトピックの全ページ / [0]

返信不可


- Child Tree -